# std::char_traits< __gnu_cxx::character< V, I, S > > Struct Template Reference

List of all members.

## Detailed Description

### template<typename V, typename I, typename S>
struct std::char_traits< __gnu_cxx::character< V, I, S > >

Definition at line 93 of file pod_char_traits.h.

## Public Types

- typedef __gnu_cxx::character<
  V, I, S > char_type
- typedef char_type::int_type int_type
- typedef streamoff off_type
- typedef fpos< state_type > pos_type
- typedef char_type::state_type state_type

## Static Public Member Functions

- static char_type * assign (char_type *__s, size_t __n, char_type __a)
- static void assign (char_type &__c1, const char_type &__c2)
- static int compare (const char_type *__s1, const char_type *__s2, size_t __n)
- static char_type * copy (char_type *__s1, const char_type *__s2, size_t __n)
- static int_type eof ()
- static bool eq (const char_type &__c1, const char_type &__c2)
- static bool eq_int_type (const int_type &__c1, const int_type &__c2)
- static const char_type * find (const char_type *__s, size_t __n, const char_type &__a)
- static size_t length (const char_type *__s)
- static bool lt (const char_type &__c1, const char_type &__c2)
- static char_type * move (char_type *__s1, const char_type *__s2, size_t __n)
- static int_type not_eof (const int_type &__c)
- static char_type to_char_type (const int_type &__i)
- static int_type to_int_type (const char_type &__c)

The documentation for this struct was generated from the following file:

- pod_char_traits.h